[SOLVED]set XXX to sensible default warnings after compiling

Magick++ is an object-oriented C++ interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning Magick++.
Post Reply
lkklkklkkj
Posts: 3
Joined: 2013-01-04T00:35:30-07:00
Authentication code: 6789

[SOLVED]set XXX to sensible default warnings after compiling

Post by lkklkklkkj » 2013-01-04T00:51:12-07:00

Hi, I got this warning after compiling my code...

Code: Select all

/usr/local/include/ImageMagick/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
/usr/local/include/ImageMagick/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile"
/usr/local/include/ImageMagick/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
/usr/local/include/ImageMagick/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile"
My OS is Ubuntu 11.10, and I install Magick++ from source code. The version - "ImageMagick-6.8.1-8".

The warnings didn't affect anything. My program still works fine. I just consider what's these warnings mean and how to fix it (warning).

P.S sorry for poor english 8)
Last edited by lkklkklkkj on 2013-01-08T00:45:22-07:00, edited 1 time in total.

User avatar
magick
Site Admin
Posts: 11062
Joined: 2003-05-31T11:32:55-07:00

Re: set XXX to sensible default warnings after compiling

Post by magick » 2013-01-04T04:27:29-07:00

Add -DMAGICKCORE_QUANTUM_DEPTH=16 to your compile command. That should fix the problem.

lkklkklkkj
Posts: 3
Joined: 2013-01-04T00:35:30-07:00
Authentication code: 6789

Re: set XXX to sensible default warnings after compiling

Post by lkklkklkkj » 2013-01-06T00:33:36-07:00

Thanks for reply.

After adding "-DMAGICKCORE_QUANTUM_DEPTH=16" to my command, the MAGICKCORE_QUANTUM_DEPTH warning is fixed.

However, the warning of MAGICKCORE_HDRI_ENABLE is still remain.

Code: Select all

/usr/local/include/ImageMagick/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
/usr/local/include/ImageMagick/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile"
Is there also any kinds of command can fix this ?

User avatar
magick
Site Admin
Posts: 11062
Joined: 2003-05-31T11:32:55-07:00

Re: set XXX to sensible default warnings after compiling

Post by magick » 2013-01-06T07:00:08-07:00

This will work: -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16. This change was made to support more than one configuration of the MagickCore libraries on the same host, e.g. an HDRI and non-HDRI enabled version.

lkklkklkkj
Posts: 3
Joined: 2013-01-04T00:35:30-07:00
Authentication code: 6789

Re: set XXX to sensible default warnings after compiling

Post by lkklkklkkj » 2013-01-08T00:44:12-07:00

That's it. Thanks for help. Everything works fine now.
Have a nice day! 8)

Post Reply